import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/api/account/list',
    method: 'get',
    params: query
  })
}

export function OffLineOrOnLine(data) {
  return request({
    url: '/api/account/list/update',
    method: 'post',
    data
  })
}

export function CreateAccount(data) {
  return request({
    url: '/api/account/create',
    method: 'post',
    data
  })
}

export function fetchAccountDetail(id) {
  return request({
    url: '/api/account/detail',
    method: 'get',
    params: { id }
  })
}
